VRENDER_COMPUTE_CACHES(3)

FUNCTION
vrender_compute_caches - Compute cache for volume rendering context.

SYNOPSIS
#include <karma_vrender.h>

void vrender_compute_caches

(KVolumeRenderContext context, unsigned int eyes, flag notify)

DESCRIPTION
This routine will compute the caches for the specified eyes. This speeds up subsequent rendering several times. Nothing is done if the cache(s) are already computed.

context
    The volume render context.

eyes
    A bitmask specifying which eye views to compute. The bitmask may be constructed by ORing some values. See <-vrender_EYE_MASKS-> for a list of masks.

notify
    If TRUE any functions registered with <-vrender_cache_notify_func-> will be called.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/